@import url("colors.css");
@import url("toolbar.css");
@import url("views/graph.css");
@import url("views/fbs.css");
@import url("views/config.css");
@import url("views/console.css");

*, *::before, *::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  width: 100%;
  height: 100vh;
  display: flex;
  flex-direction: column;
  background: #222;
  font-family: 'JetBrains Mono', 'Fira Code', 'Courier New', monospace;
  color: #c9c9d0;
  overflow: hidden;
}

#not-connected {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.5);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.not-connected-msg {
  background: #222;
  width: 40em;
  height: 10em;
  padding: 1em;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 1em;
}

.spinner {
  border: 4px solid var(--primary);
  width: 3em;
  height: 3em;
  border-radius: 50%;
  border-left-color: var(--darker-primary);
  animation: spin 1s linear infinite;
  margin: 1em;
}

@keyframes spin {
  to { transform: rotate(360deg); }
}
